Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597184 - can't login to iscsi target with bnx2i NIC
Summary: can't login to iscsi target with bnx2i NIC
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Mike Christie
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-28 10:20 UTC by Vivian Bian
Modified: 2010-11-09 13:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-01 09:57:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
/var/log/messages (deleted)
2010-05-28 10:20 UTC, Vivian Bian
no flags Details
screenshot1 for call trace (deleted)
2010-05-28 10:24 UTC, Vivian Bian
no flags Details
screenshot2 for call trace (deleted)
2010-05-28 10:24 UTC, Vivian Bian
no flags Details
screenshot3 for call trace (deleted)
2010-05-28 10:24 UTC, Vivian Bian
no flags Details

Description Vivian Bian 2010-05-28 10:20:19 UTC
Created attachment 417556 [details]
/var/log/messages

tried with following environment :

connect two boxes which have Broadcom Corporation NetXtreme II BCM57711
10-Gigabit PCIe 
make the NICs in the same LAN 192.168.2.0/24 

[RHEL 5.5 initiator v.s. RHEL 5.5 target]
All of them are with 2.6.18-198.el5 kernel 

[target] 192.168.2.101/255.255.255.0
# service tgtd start
# tgtadm --lld iscsi --op new --mode target --tid 1 -T bnx2i_test
# tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -b /dev/sdb
# tgtadm --lld iscsi --op bind --mode target --tid 1 -I ALL

[initiator] 192.168.2.103/255.255.255.0
#iscsiadm --mode discovery --type sendtargets --portal 192.168.2.101
#iscsiadm --mode node --login 

Logging in to [iface: default,target: bnx2i_test,portal:192.168.2.101,3260]
  Vendor: IET     Model: Cotroller    Rev:0001
  Type  : RAID                        ANSI SCSI revision:05
scsi 9:0:0:0: Attached scsi generic sg2 type 12
  Vendor: IET     Model: Cotroller    Rev:0001
  Type  : RAID                        ANSI SCSI revision:05
SCSIdevice sdb:419458080 512-byte hdwr sectors (214759 MB)
sdb:Write Protect is off 
SCSI device sdb: driver cache: write back
SCSI device sdb:419458080 512-byte hdwr sectors (214759 MB)
sdb:Write Protect is off 
SCSI device sdb: driver cache: write back

end_request: I/O error, dev sdb, sector 0
printk: 4 messages suppressed
Buffer I/O error on device sdb,logical block 0

end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb,logical block 0

end_request: I/O error, dev sdb, sector 0
Buffer I/O error on device sdb,logical block 0


at this time target display:
end_request: I/O error, dev sdb, sector 0
end_request: I/O error, dev sdb, sector 0
end_request: I/O error, dev sdb, sector 0
end_request: I/O error, dev sdb, sector 0
end_request: I/O error, dev sdb, sector 0
.... ... 
end_request: I/O error, dev sdb, sector 0

check whether iscsi lun is attached on initiator side :
#fdisk -l

Disk /dev/sda: 500.1 GB, 500107862016 bytes
255 heads, 63 sectors/track, 60801 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1   *           1          13      104391   83  Linux
/dev/sda2              14       60801   488279610   8e  Linux LVM

/dev/sdb is not attached ,and begin to output I/O error on the console both on
target and initiator side .

After a long while (about two hours), get a Call Trace on  initiator console ,
Can't ping from remote machines. Initiator machine hang . 

sorry for no serial console log captured , for no device for capturing that .

Comment 1 Vivian Bian 2010-05-28 10:24:08 UTC
Created attachment 417557 [details]
screenshot1 for call trace

Comment 2 Vivian Bian 2010-05-28 10:24:32 UTC
Created attachment 417558 [details]
screenshot2 for call trace

Comment 3 Vivian Bian 2010-05-28 10:24:54 UTC
Created attachment 417559 [details]
screenshot3 for call trace

Comment 4 Vivian Bian 2010-05-28 10:25:42 UTC
[root@intel-q9400-8-2 ~]# lsmod |grep bnx2i
bnx2i                  74209  0 
cnic                   58585  1 bnx2i
libiscsi2              77125  5 ib_iser,iscsi_tcp,bnx2i,cxgb3i,libiscsi_tcp
scsi_transport_iscsi2    74073  7 ib_iser,iscsi_tcp,bnx2i,cxgb3i,libiscsi2
scsi_mod              197337  12 ib_iser,iscsi_tcp,bnx2i,cxgb3i,libiscsi2,scsi_transport_iscsi2,sg,sd_mod,libata,scsi_dh_rdac,scsi_dh,sr_mod

Comment 5 Mike Christie 2010-05-28 19:36:32 UTC
Thanks for making the new bz.

(In reply to comment #0)
> [target] 192.168.2.101/255.255.255.0
> # service tgtd start
> # tgtadm --lld iscsi --op new --mode target --tid 1 -T bnx2i_test
> # tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -b /dev/sdb


> at this time target display:
> end_request: I/O error, dev sdb, sector 0
> end_request: I/O error, dev sdb, sector 0

Maybe multiple bugs...

This is weird, so on the box running the target, you get IO errors? Is that a normal old sata or sas or scsi disk?



On the initiator side were you trying to use bnx2i? It looks like you ended up using more old iscsi_tcp. If you run

iscsiadm -m session -P 3

I think in the iface info you will see that iscsi_tcp is used for the transport. If that is right, it looks like we have a bug in there.

Comment 6 Vivian Bian 2010-06-01 09:57:19 UTC
(In reply to comment #5)
> Thanks for making the new bz.
> 
> (In reply to comment #0)
> > [target] 192.168.2.101/255.255.255.0
> > # service tgtd start
> > # tgtadm --lld iscsi --op new --mode target --tid 1 -T bnx2i_test
> > # tgtadm --lld iscsi --op new --mode logicalunit --tid 1 --lun 1 -b /dev/sdb
> 
> 
> > at this time target display:
> > end_request: I/O error, dev sdb, sector 0
> > end_request: I/O error, dev sdb, sector 0
> 
> Maybe multiple bugs...
> 
> This is weird, so on the box running the target, you get IO errors? Is that a
> normal old sata or sas or scsi disk?
> 
> 
  summarize the testing environment here , I now don't think it is good environment : 

  four parts :
  Dell Equallogic iSCSI storage
  testing box A : login to Dell Equallogic , and use the lun as /dev/sdl , then export /dev/sdl with tgtadm as a iscsi lun 
  testing box B : login to /dev/sdl of A , and use the lun as /dev/sdb, then export /dev/sdb with tgtadm as a iscsi lun with bnx2i NIC
  testing box C : try to login /dev/sdb of B with bnx2i NIC 

  get I/O error shown above on both C & B boxes . 

> On the initiator side were you trying to use bnx2i? It looks like you ended up
> using more old iscsi_tcp. If you run
> 
> iscsiadm -m session -P 3
> 
> I think in the iface info you will see that iscsi_tcp is used for the
> transport. If that is right, it looks like we have a bug in there.    

  I think you already point to the real critical things . But it is because I bring a dirty environment here for the outside package are used for testing. All of the scsi-targets-utils dependencies rpms are from google . 


  retested with full installed RHEL5.5 os , and export the iscsi lun with tgtadm again . even with the complex environment which is with four part, there is no error for target login on C box . 

  so ignore this bug . Close as NOTABUG now


Note You need to log in before you can comment on or make changes to this bug.